<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Mindful Blog
 */

get_header();
$mindful_blog_column_layout = get_theme_mod( 'mindful_blog_archive_column_layout', 'column-3' );
?>

<main id="primary" class="site-main">
	<div class="ascen-body-wrap">
		<?php if ( have_posts() ) : ?>

			<header class="page-header">
				<h1 class="page-title">
					<?php
					/* translators: %s: search query. */
					printf( esc_html__( 'Search Results for: %s', 'mindful-blog' ), '<span>' . get_search_query() . '</span>' );
					?>
				</h1>
			</header><!-- .page-header -->
			<div class="mindful-blog-archive-layout grid-layout grid-style-1 <?php echo esc_attr( $mindful_blog_column_layout ); ?>">
				<?php
				/* Start the Loop */
				while ( have_posts() ) :
					the_post();

					/**
					 * Run the loop for the search to output the results.
					 * If you want to overload this in a child theme then include a file
					 * called content-search.php and that will be used instead.
					 */
					get_template_part( 'template-parts/content', 'search' );

				endwhile;
				?>
			</div>
			<?php
		else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>
	</div>
	<?php echo do_action( 'mindful_blog_posts_pagination' ); ?>
</main><!-- #main -->

<?php
if ( mindful_blog_is_sidebar_enabled() ) {
	get_sidebar();
}
get_footer();
